http_send_status
http_throttle
HTTP Functions
PHP Manual

# http_send_stream

Send stream

### Description

bool http_send_stream ( resource `$stream` )

Sends an already opened stream with support for (multiple) range requests.

### Parameters

`stream`

  stream to read from (must be seekable)

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- http_send_data
- http_send_file
- http_throttle
- http_send_content_type
- http_send_content_disposition
- the HttpResponse class if you are using PHP 5.1.0 and above